//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Fri May  9 22:30:32 PDT 1997
// Last Modified: Fri May  9 22:30:32 PDT 1997
// Filename:      .../sig/src/misc/FileIO.h
// Syntax:        C++ 
// $Smake:        g++ -O -o %b %f && strip %b
//

#ifndef _FILEIO_H_INCLUDED
#define _FILEIO_H_INCLUDED

#include "Definitions.h"
#include <iostream.h>


//////////////////////////////
//
// flipUintBytes -- flip the bytes in an 4-byte integer
//

uint flipUintBytes(uint number);



//////////////////////////////
//
// flipUshortBytes
//

ushort flipUshortBytes(ushort number);



//////////////////////////////
//
// WriteInt -- write a 4-byte number to a file according to
//	whether indians are little or big.
//

void WriteInt(ostream& out, uint number);
void WriteInt(ostream& out, int number);
void WriteInt(ostream& out, ulong number);
void WriteInt(ostream& out, long number);



//////////////////////////////
//
// WriteShort -- write a 2-byte number to a file according to
//	whether indians are little or big.
//
      
void WriteShort(ostream& out, ushort number);
void WriteInt(ostream& out, short number);


#endif  _FILEIO_H_INCLUDED


